#169 aspell-0.60.4: various problems with loadable filters

0.60
closed
other (34)
5
2016-12-11
2005-10-25
No

After
https://sourceforge.net/tracker/?func=detail&atid=100245&aid=1241890&group_id=245

had been fixed, I tried compiling aspell with loadable
filters on NetBSD-3.99.10/i386.

Compilation works fine, and some loadable modules get
installed:
# ll /usr/pkg/lib/aspell
total 544
drwxr-xr-x 2 root wheel 2560 Oct 25 02:26 .
drwxr-xr-x 50 root wheel 54272 Oct 23 21:03 ..
-r--r--r-- 1 root wheel 346 Oct 22 16:14 ccpp.amf
-r--r--r-- 1 root wheel 182 Oct 22 16:14 comment.amf
-rw-r--r-- 1 root wheel 35646 Oct 22 16:14
context-filter.a
-rwxr-xr-x 1 root wheel 906 Oct 22 16:14
context-filter.la
-rwxr-xr-x 1 root wheel 41411 Oct 22 16:14
context-filter.so
-rw-r--r-- 1 root wheel 28638 Oct 22 16:14
email-filter.a
-rwxr-xr-x 1 root wheel 892 Oct 22 16:14
email-filter.la
-rwxr-xr-x 1 root wheel 33155 Oct 22 16:14
email-filter.so
-r--r--r-- 1 root wheel 113 Oct 22 16:14 email.amf
-r--r--r-- 1 root wheel 271 Oct 22 16:14 html.amf
-r--r--r-- 1 root wheel 69 Oct 22 16:14 none.amf
-rw-r--r-- 1 root wheel 21310 Oct 22 16:14
nroff-filter.a
-rwxr-xr-x 1 root wheel 892 Oct 22 16:14
nroff-filter.la
-rwxr-xr-x 1 root wheel 27782 Oct 22 16:14
nroff-filter.so
-r--r--r-- 1 root wheel 149 Oct 22 16:14 nroff.amf
-r--r--r-- 1 root wheel 330 Oct 22 16:14 perl.amf
-rw-r--r-- 1 root wheel 41376 Oct 22 16:14
sgml-filter.a
-rwxr-xr-x 1 root wheel 885 Oct 22 16:14
sgml-filter.la
-rwxr-xr-x 1 root wheel 46820 Oct 22 16:14
sgml-filter.so
-r--r--r-- 1 root wheel 254 Oct 22 16:14 sgml.amf
-rw-r--r-- 1 root wheel 43662 Oct 22 16:14 tex-filter.a
-rwxr-xr-x 1 root wheel 878 Oct 22 16:14
tex-filter.la
-rwxr-xr-x 1 root wheel 47552 Oct 22 16:14
tex-filter.so
-r--r--r-- 1 root wheel 163 Oct 22 16:14 tex.amf
-rw-r--r-- 1 root wheel 38624 Oct 22 16:14
texinfo-filter.a
-rwxr-xr-x 1 root wheel 906 Oct 22 16:14
texinfo-filter.la
-rwxr-xr-x 1 root wheel 43886 Oct 22 16:14
texinfo-filter.so
-r--r--r-- 1 root wheel 137 Oct 22 16:14 texinfo.amf
-r--r--r-- 1 root wheel 98 Oct 22 16:14 url.amf

However, when I try to spellcheck an nroff or html
file, I get:
Error: The filter "html" does not exist.
Error: The filter "nroff" does not exist.
When I try to spellcheck a cpp file (from aspell), I get:
Error: /usr/pkg/lib/aspell/ccpp.amf: The key
"context-delimiters" is unknown.

The file ccpp.amf looks like this:
MODE ccpp

ASPELL >=0.60.1

MAGIC /<noregex>/c/cc/cpp
MAGIC /<noregex>/h/hpp

DESCRIPTION mode for checking C++ comments and string
literals

FILTER url
FILTER context
OPTION clear-context-delimiters
OPTION add-context-delimiters /* */
OPTION add-context-delimiters // \0
OPTION add-context-delimiters " "
OPTION disable-context-visible-first

I'm not sure what aspell is complaining about in this
case, or why it doesn't find the other filters. Hints
on how to debug this are very welcome.

Discussion

  • Kevin Atkinson

    Kevin Atkinson - 2006-01-29

    Logged In: YES
    user_id=6591

    Make sure you are using the right version of Aspell:
    aspell --version
    Then check the location aspell is looking for filters:
    aspell config filter-path
    Make sure the filters are in that location. Than do an:
    aspell config filter-path
    And make sure they are listed.

    Also try compiling Aspell with a
    --disable-compile-in-filters and see if that solves it.

     
  • Thomas Klausner

    Thomas Klausner - 2006-01-29

    Logged In: YES
    user_id=205695

    # aspell --version
    @(#) International Ispell Version 3.1.20 (but really Aspell
    0.60.4)
    # aspell config filter-path
    /usr/pkg/lib/aspell
    # ll /usr/pkg/lib/aspell/nroff*
    /usr/pkg/lib/aspell/nroff-filter.a
    /usr/pkg/lib/aspell/nroff-filter.la
    /usr/pkg/lib/aspell/nroff-filter.so
    /usr/pkg/lib/aspell/nroff.amf
    # aspell dump filters
    # aspell dump modes
    html mode for checking HTML documents
    sgml mode for checking generic SGML/XML documents
    tex mode for checking TeX/LaTeX documents
    email mode for skipping quoted text in email
    messages
    ccpp mode for checking C++ comments and string
    literals
    none mode to disable all filters
    perl mode for checking Perl comments and string
    literals
    url mode to skip URL like constructs (default
    mode)
    comment mode to check any lines starting with a #
    nroff mode for checking Nroff documents
    texinfo mode for checking Texinfo documents
    # aspell dump dicts
    en
    en-variant_0
    en-variant_1
    en-variant_2
    en-w_accents
    en-wo_accents
    en_CA
    en_CA-w_accents
    en_CA-wo_accents
    en_GB
    en_GB-ise
    en_GB-ise-w_accents
    en_GB-ise-wo_accents
    en_GB-ize
    en_GB-ize-w_accents
    en_GB-ize-wo_accents
    en_GB-w_accents
    en_GB-wo_accents
    en_US
    en_US-w_accents
    en_US-wo_accents
    # aspell --mode=nroff -c filedesc.9
    Error: The filter "nroff" does not exist.

    When I "--disable-compile-in-filters", I get the same result.
    When I "--enable-compile-in-filters", I can spell check
    with --mode=nroff.

     
  • Kevin Atkinson

    Kevin Atkinson - 2006-01-30

    Logged In: YES
    user_id=6591

    > # aspell dump filters

    It looks like Aspell isn't able to find and filters for some
    reason.

    > When I "--disable-compile-in-filters", I get the same
    > result.
    > When I "--enable-compile-in-filters", I can spell
    > check with --mode=nroff.

    Duh. I meant "--enable-compile-in-filters".

    Off hand I don't know why it's not finding any filters. I
    will try to look into it.

     
  • Kevin Atkinson

    Kevin Atkinson - 2010-03-04
    • milestone: --> 0.60
     
  • Kevin Atkinson

    Kevin Atkinson - 2016-12-11
    • Status: open --> closed